import http from '@/utils/http'
import type { AttendanceRecordReq, AttendanceRecordResp } from './type'

const BASE_URL = '/attendance-record'

/** 新增考勤记录 */
export function addAttendanceRecord(data: AttendanceRecordReq) {
  return http.post<AttendanceRecordResp>(BASE_URL, data, {
    headers: {
      'Content-Type': 'application/json'
    }
  })
}